#include "histogram.h"
#include "svg.h"
using namespace std;

struct Input {
	vector<double> numbers;
	size_t bin_count{};
};

Input
input_data(istream& inn, bool prompt)
{
	size_t number_count;
	if (prompt == true)
        cerr << "number_count = ";
	inn >> number_count;

	Input in;
	in.numbers.resize(number_count);

	if (prompt == true)
        cerr << "numbers:";
	for (size_t i = 0; i < number_count; i++) {
        inn >> in.numbers[i];
	}

    cerr << "columns = ";
	cin >> in.bin_count;
	return in;
}

int
main()
{

	auto in = input_data(cin, true);

	auto bins = make_histogram(in.numbers, in.bin_count);

	show_histogram_svg(bins);

}
